Subject: bug#66571: closed (Re: bug#66571: 30.0.50; tramp-revert-buffer-with-sudo problem with files of same name)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 18 Oct 2023 05:06:02 +0000

Your bug report

#66571: 30.0.50; tramp-revert-buffer-with-sudo problem with files of same name

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66571: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66571
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#66571: 30.0.50; tramp-revert-buffer-with-sudo problem with files of same name
From: Michael Albinus <[email-masked]>
To: Liu Hui <[email-masked]>
Cc: [email-masked]
Date: Wed, 18 Oct 2023 07:04:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 30.1

Liu Hui <[email-masked]> writes:

Hi,

>> > I find tramp-revert-buffer-with-sudo doesn't revert buffer correctly
>> > with files of same name:
>>
>> Thanks for the report. I've fixed this on master, could you, pls, test?
>
> I confirm the issue is fixed. Thanks.

Thanks for the feedback, I'm closing the bug.

Best regards, Michael.

Subject: 30.0.50; tramp-revert-buffer-with-sudo problem with files of same name
From: Liu Hui <[email-masked]>
To: [email-masked]
Date: Mon, 16 Oct 2023 11:25:27 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I find tramp-revert-buffer-with-sudo doesn't revert buffer correctly
with files of same name:

1. emacs -Q -l tramp
2. open two files with same name, e.g. =/etc/group= and =/tmp/group=
3. M-x tramp-revert-buffer-with-sudo in =/etc/group= results in a empty
buffer =etc>=

Best,
--
Liu Hui